package com.fs.project.service;

import java.util.List;
import com.fs.project.domain.ProjectContract;

/**
 * 项目合同信息Service接口
 * 
 * @author fs
 * @date 2025-12-30
 */
public interface IProjectContractService 
{
    /**
     * 查询项目合同信息
     * 
     * @param id 项目合同信息主键
     * @return 项目合同信息
     */
    public ProjectContract selectProjectContractById(Long id);

    /**
     * 查询项目合同信息列表
     * 
     * @param projectContract 项目合同信息
     * @return 项目合同信息集合
     */
    public List<ProjectContract> selectProjectContractList(ProjectContract projectContract);

    /**
     * 新增项目合同信息
     * 
     * @param projectContract 项目合同信息
     * @return 结果
     */
    public int insertProjectContract(ProjectContract projectContract);

    /**
     * 修改项目合同信息
     * 
     * @param projectContract 项目合同信息
     * @return 结果
     */
    public int updateProjectContract(ProjectContract projectContract);

    /**
     * 批量删除项目合同信息
     * 
     * @param ids 需要删除的项目合同信息主键集合
     * @return 结果
     */
    public int deleteProjectContractByIds(Long[] ids);

    /**
     * 删除项目合同信息信息
     * 
     * @param id 项目合同信息主键
     * @return 结果
     */
    public int deleteProjectContractById(Long id);
}
